package com.androidbook;

import android.app.Activity;
import android.database.Cursor;
import android.os.Bundle;
import android.provider.Contacts.People;
import android.widget.GridView;
import android.widget.SimpleCursorAdapter;

public class GridActivity extends Activity {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
            super.onCreate(savedInstanceState);
    
    
            setContentView(R.layout.gridview);
            GridView gv = (GridView)this.findViewById(R.id.dataGrid);
    
            Cursor c = getContentResolver().query(People.CONTENT_URI,
 null, null, null, null);
            startManagingCursor(c);
    
            String[] cols = new String[]{People.NAME};
            int[] names = new int[]{android.R.id.text1};
    
            SimpleCursorAdapter adapter = new SimpleCursorAdapter(this,android.R.layout.simple_list_item_1,c,cols,names);
    
            gv.setAdapter(adapter);

    }
}